Package com.io7m.cardant.server.api

# Record Class CAServerConfigurationFile

java.lang.Object
java.lang.Record
com.io7m.cardant.server.api.CAServerConfigurationFile

Record Components:
  `inventoryService` - The inventory service configuration
  `databaseConfiguration` - The database configuration
  `idstoreConfiguration` - The idstore server configuration
  `limitsConfiguration` - The limits configuration
  `maintenanceConfiguration` - The maintenance configuration
  `openTelemetry` - The OpenTelemetry configuration

public record CAServerConfigurationFile(CAServerHTTPServiceConfiguration inventoryService, CAServerDatabaseConfiguration databaseConfiguration, CAServerIdstoreConfiguration idstoreConfiguration, CAServerLimitsConfiguration limitsConfiguration, CAServerMaintenanceConfiguration maintenanceConfiguration, Optional<CAServerOpenTelemetryConfiguration> openTelemetry) extends Record
The server configuration file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAServerConfigurationFile(CAServerHTTPServiceConfiguration inventoryService, CAServerDatabaseConfiguration databaseConfiguration, CAServerIdstoreConfiguration idstoreConfiguration, CAServerLimitsConfiguration limitsConfiguration, CAServerMaintenanceConfiguration maintenanceConfiguration, Optional<CAServerOpenTelemetryConfiguration> openTelemetry)`
  The server configuration file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAServerDatabaseConfiguration`
  `databaseConfiguration()`
  Returns the value of the `databaseConfiguration` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAServerIdstoreConfiguration`
  `idstoreConfiguration()`
  Returns the value of the `idstoreConfiguration` record component.
  `CAServerHTTPServiceConfiguration`
  `inventoryService()`
  Returns the value of the `inventoryService` record component.
  `CAServerLimitsConfiguration`
  `limitsConfiguration()`
  Returns the value of the `limitsConfiguration` record component.
  `CAServerMaintenanceConfiguration`
  `maintenanceConfiguration()`
  Returns the value of the `maintenanceConfiguration` record component.
  `Optional<CAServerOpenTelemetryConfiguration>`
  `openTelemetry()`
  Returns the value of the `openTelemetry` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAServerConfigurationFile

    public CAServerConfigurationFile(CAServerHTTPServiceConfiguration inventoryService, CAServerDatabaseConfiguration databaseConfiguration, CAServerIdstoreConfiguration idstoreConfiguration, CAServerLimitsConfiguration limitsConfiguration, CAServerMaintenanceConfiguration maintenanceConfiguration, Optional<CAServerOpenTelemetryConfiguration> openTelemetry)
    The server configuration file.
    Parameters:
      `inventoryService` - The inventory service configuration
      `databaseConfiguration` - The database configuration
      `idstoreConfiguration` - The idstore server configuration
      `limitsConfiguration` - The limits configuration
      `maintenanceConfiguration` - The maintenance configuration
      `openTelemetry` - The OpenTelemetry configuration

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### inventoryService

    public CAServerHTTPServiceConfiguration inventoryService()
    Returns the value of the `inventoryService` record component.
    Returns:
      the value of the `inventoryService` record component

  - ### databaseConfiguration

    public CAServerDatabaseConfiguration databaseConfiguration()
    Returns the value of the `databaseConfiguration` record component.
    Returns:
      the value of the `databaseConfiguration` record component

  - ### idstoreConfiguration

    public CAServerIdstoreConfiguration idstoreConfiguration()
    Returns the value of the `idstoreConfiguration` record component.
    Returns:
      the value of the `idstoreConfiguration` record component

  - ### limitsConfiguration

    public CAServerLimitsConfiguration limitsConfiguration()
    Returns the value of the `limitsConfiguration` record component.
    Returns:
      the value of the `limitsConfiguration` record component

  - ### maintenanceConfiguration

    public CAServerMaintenanceConfiguration maintenanceConfiguration()
    Returns the value of the `maintenanceConfiguration` record component.
    Returns:
      the value of the `maintenanceConfiguration` record component

  - ### openTelemetry

    public Optional<CAServerOpenTelemetryConfiguration> openTelemetry()
    Returns the value of the `openTelemetry` record component.
    Returns:
      the value of the `openTelemetry` record component